//  iyv12prop.h
//
//	YV12 to YUY2 converter PropertyPages
//
//	Copyright (c)
//

/* registry stuff */
#define HWDI_REG_KEY    HKEY_CURRENT_USER
#define HWDI_REG_SUBKEY "Software\\GNU\\HWDI"
#define HWDI_REG_CLASS  "config"


interface IIYV12 : public IUnknown
{
	STDMETHOD(GetN)(DWORD *) = 0;
	STDMETHOD(SetN)(DWORD) = 0;
};

class Ciyv12Prop : public CBasePropertyPage
{
private:
	IIYV12 *m_pIYV12;
	DWORD  m_dwVal;
	DWORD  m_dwNewVal;
	void SetDirty(void);

public:
	static CUnknown * WINAPI CreateInstance(LPUNKNOWN lpunk, HRESULT * phr);

	Ciyv12Prop(LPUNKNOWN pUnk);
	~Ciyv12Prop() {}

	HRESULT OnConnect(IUnknown *pUnk);
	HRESULT OnActivate(void);
	BOOL OnReceiveMessage(HWND hwnd, UINT uMsg, WPARAM wParam, LPARAM lParam);
	HRESULT OnApplyChanges(void);
	HRESULT OnDisconnect(void);
};


/* registry functions */
DWORD LoadRegistryInfo();
void SaveRegistryInfo(DWORD);
